#declare Fin = finish {
	diffuse .3
	ambient .1
	specular .6
	metallic
} 

#declare Clock = clock;

#include "colors.inc"

#include "clock.inc"
#include "ode.inc"
#include "pendel.inc"
#include "spiral.inc"

global_settings {
assumed_gamma 1.0
}

camera {
location <-6, -16, 2> + z
	up z
	right x*4/3
	sky z
	look_at <-6,0,0>
//	look_at <0,0,0>
//	rotate 30*z
//	rotate 30*clock*z
	angle 60
}

light_source {
	<2, -3, 2.7> * 1000
	color rgb <1.7, 1.5, 1.2>
}

sky_sphere {
	pigment {
	gradient z
	color_map {
		[0.0 rgb <0.6, 0.7, 1.0>]
		[0.2 rgb <0.2, 0.3, 0.9>]
	}
	}
}

plane {
	z, -10
	pigment { color rgb 1.5 }
	finish {
		ambient .05
		diffuse .6
	}
}

#declare Angle = 30;

#declare T1 = Theta_one(Clock) * Angle;
#declare T2 = Theta_two(Clock) * Angle;

#declare St = -Junction * <sin(radians(T1)), 0, cos(radians(T1))>;
#declare Ed = -Junction * <sin(radians(T2)), 0, cos(radians(T2))>;

union {
	cylinder { 0, 8*x, .1 pigment {color rgb .7}}

	object { Pendel(T1, Junction) }
	object { Pendel(T2, Junction) translate 8*x }

	object { Spiral(St, Ed + 8*x) }

	translate 5*z translate -10*x	// -4
	translate 2*y
}

object {Uhr((clock+100)*6) translate <1,0,5>}	// 60 `frames'
