#declare Thickness = .03;

#macro Spiral(Start, End)

#local Delta = End - Start;
#local Length = vlength(Delta);
#local Angle = degrees(atan2(Delta.z, Delta.x));

#local Steps = 16;
#local K = (Length - 2) / Steps;

union {
	sphere {0, 1.5*Thickness}
	cylinder {0, x/2, Thickness}
	sphere {0, Thickness translate x/2}
	cylinder {0, <.5, .5, 0>, Thickness translate x/2}

	#local step = 0;
	#while (step < 360*Steps)
		sphere {0, Thickness
			translate x
			translate .5*y
			rotate x*step
			translate K * x*step / 360
		}
	#local step = step + 1;
	#end

	#local Pos = K * x*step / 360;

	cylinder {0, <-.5, .5, 0>, Thickness translate x*1.5 + Pos}
	sphere {0, Thickness translate x*1.5 + Pos}
	cylinder {0, x/2, Thickness  translate x*1.5 + Pos}
	sphere {0, 1.5*Thickness translate 2*x + Pos}

	pigment {color rgb <1, .5, .1>} // amber
	finish {Fin}

	rotate -Angle * y

	translate Start
}
#end
